#include "sys.h"

void 
main (argc, argv)
int argc;
char *argv[];
{
    struct stat st1, st2;
    int errcnt = 0;

    if (argc != 3)
      exit(1);
    if (access(argv[1], F_OK) != 0) {
	perror(argv[1]);
	errcnt = 1;
    }
    if (access(argv[2], F_OK) != 0) {
	perror(argv[2]);
	errcnt = 1;
    }
    if (errcnt)
      exit(1);

    stat(argv[1], &st1);
    stat(argv[2], &st2);
    if (st1.st_mtime != st2.st_mtime)
      exit(1);
    exit(0);
}
