/**********
* utils.c *
**********/

/* $Id: utils.c,v 0.5 1995/03/26 00:47:02 sharl Exp sharl $ */

#include "sys.h"

char *
xmalloc (len)
size_t len;
{
    char *p;

    p = malloc(len);
    if (p == NULL) {
	perror(progname);
	exit(1);
    }
    return p;
}

char *
basename (fname)
char *fname;
{
    char *p;

    if ((p = jstrrchr(fname, '\\')) != NULL)
	fname = p + 1;
    if ((p = jstrrchr(fname, '/')) != NULL)
	fname = p + 1;
    if ((p = jstrrchr(fname, ':')) != NULL)
	fname = p + 1;
    if ((p = jstrrchr(fname, '.')) != NULL)
	*p = '\0';
    return fname;
}

char *
dirname (fname)
char *fname;
{
    char *p, *name;

    name = strdup(fname);
    if ((p = jstrrchr(name, '/')) != NULL)
	*(p + 1) = '\0';
    else if ((p = jstrrchr(name, '\\')) != NULL)
	*(p + 1) = '\0';
    else
	return "";
    return name;
}
